model Drive 
  annotation (Coordsys(
      extent=[-100, -100; 100, 100], 
      grid=[2, 2], 
      component=[20, 20]), Window(
      x=0.19, 
      y=0.13, 
      width=0.53, 
      height=0.83));
  Modelica.Electrical.Analog.Sources.SignalVoltage SignalVoltage1 annotation (
      extent=[-70, 20; -50, 0], rotation=90);
  Modelica.Electrical.Analog.Basic.Ground G annotation (extent=[-70, -40; -50
        , -20]);
  Modelica.Electrical.Analog.Basic.Resistor Resistor1(R=0.2) annotation (
      extent=[-52, 30; -32, 50]);
  Modelica.Electrical.Analog.Basic.Inductor Inductor1(L=0.004) annotation (
      extent=[-26, 30; -6, 50]);
  Modelica.Electrical.Analog.Basic.EMF emf1 annotation (extent=[-10, 0; 10, 20
        ]);
  Modelica.Mechanics.Rotational.Inertia Inertia1(J=0.002) annotation (extent=[
        20, 0; 40, 20]);
  Modelica.Mechanics.Rotational.IdealGear IdealGear1(ratio=100) annotation (
      extent=[50, 0; 70, 20]);
  Modelica.Mechanics.Rotational.Inertia Inertia2(J=20) annotation (extent=[80
        , 0; 100, 20]);
  Modelica.Blocks.Sources.Ramp Ramp1(height={200}, duration={1}) annotation (
      extent=[-100, 0; -80, 20]);
equation 
  connect(Resistor1.n, Inductor1.p) annotation (points=[-32, 40; -26, 40]);
  connect(Inductor1.n, emf1.p) annotation (points=[-6, 40; 0, 40; 0, 20]);
  connect(emf1.flange_b, Inertia1.flange_a) annotation (points=[10, 10; 20, 10
        ]);
  connect(Resistor1.p, SignalVoltage1.p) annotation (points=[-52, 40; -60, 40
        ; -60, 20]);
  connect(SignalVoltage1.n, emf1.n) annotation (points=[-60, 0; -60, -20; 0, 
        -20; 0, 0]);
  connect(G.p, SignalVoltage1.n) annotation (points=[-60, -20; -60, 0]);
  connect(Inertia1.flange_b, IdealGear1.flange_a) annotation (points=[40, 10; 
        50, 10], style(color=0));
  connect(IdealGear1.flange_b, Inertia2.flange_a) annotation (points=[70, 10; 
        80, 10], style(color=0));
  connect(Ramp1.outPort, SignalVoltage1.inPort) annotation (points=[-79, 10; 
        -67, 10], style(color=3));
end Drive;
