class FuturaPendulum 
  annotation (Coordsys(
      extent=[-100, -100; 100, 100], 
      grid=[2, 2], 
      component=[20, 20]));
  ModelicaAdditions.MultiBody.Parts.InertialSystem inertial annotation (extent
      =[-100, 20; -80, 40]);
  ModelicaAdditions.MultiBody.Parts.BoxBody box1(r={0.4,0,0}) annotation (
      extent=[-40, 20; -20, 40]);
  ModelicaAdditions.MultiBody.Joints.Revolute r1(n={0,1,0}) annotation (extent
      =[-70, 20; -50, 40]);
  ModelicaAdditions.MultiBody.Parts.BoxBody box2(r={0,0,-0.4}) annotation (
      extent=[20, 20; 40, 40]);
  ModelicaAdditions.MultiBody.Joints.Revolute r2(n={1,0,0}) annotation (extent
      =[-10, 20; 10, 40]);
  ModelicaAdditions.MultiBody.Parts.BoxBody box3(r={0,0,-0.4}) annotation (
      extent=[80, 20; 100, 40]);
  ModelicaAdditions.MultiBody.Joints.Revolute r3(n={1,0,0}) annotation (extent
      =[50, 20; 70, 40]);
equation 
  connect(inertial.frame_b, r1.frame_a) annotation (points=[-79.5, 30; -70.5, 
        30]);
  connect(r1.frame_b, box1.frame_a) annotation (points=[-49.5, 30; -40.5, 30])
    ;
  connect(r2.frame_b, box2.frame_a) annotation (points=[10.5, 30; 19.5, 30]);
  connect(box1.frame_b, r2.frame_a) annotation (points=[-19.5, 30; -10.5, 30])
    ;
  connect(r3.frame_b, box3.frame_a) annotation (points=[70.5, 30; 79.5, 30]);
  connect(box2.frame_b, r3.frame_a) annotation (points=[40, 30; 50, 30]);
end FuturaPendulum;
