class SimpleModel
  package SIunits = Modelica.SIunits;
  parameter SIunits.Mass m=2 "mass of block";
  parameter SIunits.Force f=6 "force to pull block";
  SIunits.Position s "position of block";
  SIunits.Velocity v "velocity of block";
  annotation (
    Coordsys(
      extent=[-100, -100; 100, 100], 
      grid=[2, 2], 
      component=[20, 20]), 
    Window(
      x=0.01, 
      y=0.17, 
      width=0.44, 
      height=0.65), 
    Icon, 
    Diagram);
equation 
  v = der(s);
  m*der(v) = f;
end SimpleModel;
