package Exercise7 
  annotation (Coordsys(
      extent=[0, 0; 442, 394], 
      grid=[2, 2], 
      component=[20, 20]), Window(
      x=0.45, 
      y=0.01, 
      width=0.44, 
      height=0.65, 
      library=1, 
      autolayout=1));
  BouncingBall1 solution1;
  BouncingBall2 solution2;
end Exercise7;


model BouncingBall1 
  package SIunits = Modelica.SIunits;
  parameter Real e=0.7 "coefficient of restitution";
  parameter SIunits.Acceleration g=9.81 "gravity acceleration";
  SIunits.Position h(start=1) "height of ball";
  SIunits.Velocity v "velocity of ball";
  annotation (Coordsys(
      extent=[-100, -100; 100, 100], 
      grid=[2, 2], 
      component=[20, 20]), Window(
      x=0.05, 
      y=0.07, 
      width=0.44, 
      height=0.65));
equation 
  der(h) = v;
  der(v) = -g;
  
  when h <= 0 then
    reinit(v, -e*pre(v));
  end when;
end BouncingBall1;


model BouncingBall2 
  package SIunits = Modelica.SIunits;
  parameter Real e=0.7 "coefficient of restitution";
  parameter SIunits.Acceleration g=9.81 "gravity acceleration";
  SIunits.Position h(start=1) "height of ball";
  SIunits.Velocity v "velocity of ball";
  Boolean flying(start=true) "true, if ball is flying";
  Boolean impact;
  SIunits.Velocity v_new;
  annotation (Coordsys(
      extent=[-100, -100; 100, 100], 
      grid=[2, 2], 
      component=[20, 20]), Window(
      x=0.27, 
      y=0.01, 
      width=0.59, 
      height=0.51));
equation 
  der(h) = v;
  der(v) = if flying then -g else 0;
  
  impact = h <= 0;
  when {impact,h <= 0 and v <= 0} then
    v_new = if edge(impact) then -e*pre(v) else 0;
    flying = v_new > 0;
    reinit(v, v_new);
  end when;
end BouncingBall2;

