package Exercise8 
  annotation (Coordsys(
      extent=[0, 0; 442, 394], 
      grid=[2, 2], 
      component=[20, 20]), Window(
      x=0.45, 
      y=0.01, 
      width=0.44, 
      height=0.65, 
      library=1, 
      autolayout=1));
  TestHysteresis1 solution1;
  TestHysteresis2 solution2;
end Exercise8;

block Hysteresis1 
  extends Modelica.Blocks.Interfaces.SISO;
  parameter Real u0=1;
  parameter Real y0=1;
  output Boolean high(start=true);
  annotation (Coordsys(
      extent=[-100, -100; 100, 100], 
      grid=[2, 2], 
      component=[20, 20]), Window(
      x=0.4, 
      y=0.4, 
      width=0.6, 
      height=0.6));
algorithm
  when initial() then
     high := u > -u0;
  end when; 

  when pre(high) and u < -u0 then
     high := false;
  end when;

  when not pre(high) and u > u0 then
     high := true;
  end when;

equation 
  y = if high then y0 else -y0;

end Hysteresis1;


block Hysteresis2 
  extends Modelica.Blocks.Interfaces.SISO;
  parameter Real u0=1;
  parameter Real y0=1;
  output Boolean high(start=true);
  annotation (Coordsys(
      extent=[-100, -100; 100, 100], 
      grid=[2, 2], 
      component=[20, 20]), Window(
      x=0.4, 
      y=0.4, 
      width=0.6, 
      height=0.6));
equation 
  high = u >= u0 or pre(high) and u > -u0;
  y = if high then y0 else -y0;
end Hysteresis2;

model TestHysteresis1 
  Hysteresis1 hysteresis annotation (extent=[0, 20; 40, 60]);
  annotation (Coordsys(
      extent=[-100, -100; 100, 100], 
      grid=[2, 2], 
      component=[20, 20]), Window(
      x=0.33, 
      y=0.01, 
      width=0.6, 
      height=0.6));
  Modelica.Blocks.Sources.Sine sine(amplitude={2}, freqHz={0.2}) annotation (
      extent=[-80, 20; -40, 60]);
equation 
  connect(sine.outPort, hysteresis.inPort) annotation (points=[-38, 40; -4, 40
        ]);
end TestHysteresis1;

model TestHysteresis2
  Hysteresis2 hysteresis annotation (extent=[0, 20; 40, 60]);
  annotation (Coordsys(
      extent=[-100, -100; 100, 100], 
      grid=[2, 2], 
      component=[20, 20]), Window(
      x=0.33, 
      y=0.01, 
      width=0.6, 
      height=0.6));
  Modelica.Blocks.Sources.Sine sine(amplitude={2}, freqHz={0.2}) annotation (
      extent=[-80, 20; -40, 60]);
equation 
  connect(sine.outPort, hysteresis.inPort) annotation (points=[-38, 40; -4, 40
        ]);
end TestHysteresis2;

